package com.hcloud.microservice.goods.facade.clients;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.fallback.factory.GoodsBatchGradeFallback;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchGradeForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author xiezt
 */
@FeignClient(name = "goods-service" ,path = "/goods/grade",fallbackFactory = GoodsBatchGradeFallback.class)
public interface GoodsBatchGradeManagerService {
    /**
     * 分页查询商品评级信息
     * @param gradeForm
     * @return
     */
    @PostMapping("/searchBatchGradeByPage")
    ResultVO searchBatchGradeByPage(@RequestBody GoodsBatchGradeForm gradeForm);

    /**
     * 获取用户评级信息
     * @param userId
     * @param batchId
     * @return
     */
    @GetMapping("/getBatchGradeByUserId")
    ResultVO getBatchGradeByUserId(@RequestParam("userId") String userId,@RequestParam("batchId") String batchId);

    /**
     * 保存用户评级信息
     * @param gradeForm
     * @return
     */
    @PostMapping("/saveBatchGradeInfo")
    ResultVO saveBatchGradeInfo(@RequestBody GoodsBatchGradeForm gradeForm);

    /**
     * 批量删除商品评级信息
     * @param gradeForm
     * @return
     */
    @PostMapping("/delBatchGradeInfo")
    ResultVO delBatchGradeInfo(@RequestBody GoodsBatchGradeForm gradeForm);

}
