package com.hcloud.microservice.goods.facade.clients;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.entity.GoodsDealer;
import com.hcloud.microservice.goods.facade.fallback.factory.GoodsDealerClientFallback;
import com.hcloud.microservice.goods.facade.forms.GoodsDealerForm;

@FeignClient(value="goods-service",path="/goods/dealer",fallbackFactory=GoodsDealerClientFallback.class)
public interface GoodsDealerClient {

	@PostMapping("/save")
	ResultVO add(@RequestBody GoodsDealer goodsDealer);
	
	@PostMapping("/edit")
	ResultVO edit(@RequestBody GoodsDealer goodsDealer);
	
	@GetMapping("/findById")
	ResultVO findById(@RequestParam("guid") String guid);
	
	@PostMapping("/searchByPage")
	ResultVO searchByPage(@RequestBody GoodsDealerForm goodsDealerForm);
	
	@GetMapping("/getMaxCode")
	ResultVO getMaxCode();
	
	@GetMapping("/delete")
	ResultVO delete(@RequestParam("guid") String guid);
	
}
