package com.hcloud.microservice.goods.facade.clients;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.fallback.factory.GoodsFeedbackFallback;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchFeedbackForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author JYJ
 */
@FeignClient(name = "goods-service" ,path = "/goods/feedback",fallbackFactory = GoodsFeedbackFallback.class)
public interface GoodsFeedbackManagerService {
    /**
     * 分页查询商品评价信息
     * @param gradeForm
     * @return
     */
    @PostMapping("/searchGoodsFeedbackByPage")
    ResultVO searchGoodsFeedbackByPage(@RequestBody GoodsBatchFeedbackForm gradeForm);

    /**
     * 获取用户评价信息
     * @param userId
     * @param batchId
     * @return
     */
    @GetMapping("/getGoodsFeedbackByUserId")
    ResultVO getGoodsFeedbackByUserId(@RequestParam("userId") String userId,@RequestParam("batchId") String batchId);

    /**
     * 保存用户评价信息
     * @param gradeForm
     * @return
     */
    @PostMapping("/saveGoodsFeedbackInfo")
    ResultVO saveGoodsFeedbackInfo(@RequestBody GoodsBatchFeedbackForm gradeForm);

    /**
     * 批量删除用户评价
     * @param gradeForm
     * @return
     */
    @PostMapping("/delGoodsFeedbackInfo")
    ResultVO delGoodsFeedbackInfo(@RequestBody GoodsBatchFeedbackForm gradeForm);
}
