package com.hcloud.microservice.goods.facade.clients;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.fallback.factory.GoodsFieldManageFallback;
import com.hcloud.microservice.goods.facade.forms.GoodsFieldForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author JYJ
 */
@FeignClient(name = "goods-service" ,path = "/goods/field",fallbackFactory = GoodsFieldManageFallback.class)
public interface GoodsFieldManageService {

    /**
     * 分页查询产地信息
     * @param fieldForm
     * @return
     */
    @PostMapping("/searchByPage")
    ResultVO queryGoodsFieldByPage(@RequestBody GoodsFieldForm fieldForm);

    /**
     * 添加商品产地信息
     * @param fieldForm
     * @return
     */
    @PostMapping("/addGoodsField")
    ResultVO addGoodsField(@RequestBody GoodsFieldForm fieldForm);

    /**
     * 编辑商品产地信息
     * @param fieldForm
     * @return
     */
    @PostMapping("/editGoodsField")
    ResultVO editGoodsField(@RequestBody GoodsFieldForm fieldForm);

    /**
     * 获取商品产地明细信息
     * @param guid
     * @return
     */
    @GetMapping("/getGoodsField")
    ResultVO getGoodsField(@RequestParam("id") String guid,@RequestParam("orgId") String orgGuid);

    /**
     * 删除商品产地信息
     * @param guid
     * @return
     */
    @GetMapping("/delGoodsField")
    ResultVO delGoodsField(@RequestParam("id") String guid,@RequestParam("orgId") String orgGuid);

}
