package com.hcloud.microservice.goods.facade.clients;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.fallback.factory.GoodsManageFallback;
import com.hcloud.microservice.goods.facade.forms.GoodsInfoForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author xiezt
 */
@FeignClient(name = "goods-service",path = "/goods/info",fallbackFactory =GoodsManageFallback.class )
public interface GoodsManagerService {

    /**
     * 分页查询商品信息
     * @param goodsInfoForm
     * @return
     */
    @PostMapping("/searchByPage")
    ResultVO searchGoodsInfoByPage(@RequestBody GoodsInfoForm goodsInfoForm);

    /**
     * 添加产品信息
     * @param goodsInfoForm
     * @return
     */
    @PostMapping("/addGoodsInfo")
    ResultVO addGoodsInfo(@RequestBody GoodsInfoForm goodsInfoForm);

    /**
     * 编辑产品信息
     * @param goodsInfoForm
     * @return
     */
    @PostMapping("/editGoodsInfo")
    ResultVO editGoodsInfo(@RequestBody GoodsInfoForm goodsInfoForm);

    /**
     * 通过Id获取产品信息明细
     * @param guid
     * @return
     */
    @GetMapping("/getGoodsInfoById")
    ResultVO getGoodsInfoById(@RequestParam("id") String guid);

    /**
     * 删除产品信息
     * @param guid
     * @return
     */
    @GetMapping("/delGoodsInfoById")
    ResultVO delGoodsInfoById(@RequestParam("id") String guid);
}
