package com.hcloud.microservice.goods.facade.clients;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.fallback.factory.GoodsProInputsFallback;
import com.hcloud.microservice.goods.facade.forms.GoodsProInputsForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author JYJ
 */
@FeignClient(name = "goods-service" ,path = "/pro/inputs",fallbackFactory = GoodsProInputsFallback.class)
public interface GoodsProInputsManagerService {
    /**
     * 分页查询投入品内容
     * @param goodsProInputsForm
     * @return
     */
    @PostMapping("/searchProInputsByPage")
    ResultVO searchProInputsByPage(@RequestBody GoodsProInputsForm goodsProInputsForm);

    /**
     * 查询投入品列表通过商品批次键
     * @param foreignKey
     * @return
     */
    @GetMapping("/searchProInputsByFK")
    ResultVO searchProInputsByFK(@RequestParam("fk") String foreignKey);

    /**
     * 删除投入品信息
     * @param pk
     * @return
     */
    @GetMapping("/delProInputs")
    ResultVO delProInputs(@RequestParam("pk") String pk);

    /**
     * 保存投入品信息
     * @param goodsProInputsForm
     * @return
     */
    @PostMapping("/saveProInputs")
    ResultVO saveProInputs(@RequestBody GoodsProInputsForm goodsProInputsForm);
}
