package com.hcloud.microservice.goods.facade.clients;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.fallback.factory.GoodsProNormalFallback;
import com.hcloud.microservice.goods.facade.forms.GoodsProNormalForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author JYJ
 */
@FeignClient(name = "goods-service" ,path = "/pro/normal",fallbackFactory = GoodsProNormalFallback.class)
public interface GoodsProNormalManagerService {
    /**
     * 分页查询流通信息
     * @param goodsProNormalForm
     * @return
     */
    @PostMapping("/searchProNormalByPage")
    ResultVO searchProNormalByPage(@RequestBody GoodsProNormalForm goodsProNormalForm);

    /**
     * 保存流程通用信息
     * @param goodsProNormalForm
     * @return
     */
    @PostMapping("/saveProNormal")
    ResultVO saveProNormal(@RequestBody GoodsProNormalForm goodsProNormalForm);

    /**
     * 更新流通通用信息
     * @param goodsProNormalForm
     * @return
     */
    @PostMapping("/updateProNormal")
    ResultVO updateProNormal(@RequestBody GoodsProNormalForm goodsProNormalForm);

    /**
     * 通过主键删除通用流通信息
     * @param pk
     * @return
     */
    @GetMapping("/delProNormalByPK")
    ResultVO delProNormalByPK(@RequestParam("pk") String pk);
}
