package com.hcloud.microservice.goods.facade.clients;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.goods.facade.fallback.factory.GoodsTracedUserFallback;
import com.hcloud.microservice.goods.facade.forms.GoodsTracedUserForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author xiezt
 */
@FeignClient(name = "goods-service" ,path = "/traced/user",fallbackFactory = GoodsTracedUserFallback.class)
public interface GoodsTracedUserManagerService {

    /**
     * 查询用户信息通过第三方编码
     * @param code
     * @return
     */
	@PostMapping("searchByCode")
    ResultVO searchTracedUserByCode(@RequestBody GoodsTracedUserForm tracedUserForm);

    /**
     * 保存用户信息
     * @param tracedUserForm
     * @return
     */
    @PostMapping("saveTracedUser")
    ResultVO saveTracedUser(@RequestBody GoodsTracedUserForm tracedUserForm);

    /**
     * 更新用户信息
     * @param tracedUserForm
     * @return
     */
    @PostMapping("updateTracedUser")
    ResultVO updateTracedUser(@RequestBody GoodsTracedUserForm tracedUserForm);

    /**
     * 分页查询溯源用户信息
     * @param tracedUserForm
     * @return
     */
    @PostMapping("/searchTracedUserByPage")
    ResultVO searchTracedUserByPage(@RequestBody GoodsTracedUserForm tracedUserForm);
}
