package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsBatchGradeFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchGradeForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author JYJ
 */
@Component
public class GoodsBatchGradeFallback implements FallbackFactory<GoodsBatchGradeFactory> {

    @Override
    public GoodsBatchGradeFactory create(Throwable cause) {
        return new GoodsBatchGradeFactory(){
            /**
             * 分页查询商品评级信息
             *
             * @param gradeForm
             * @return
             */
            @Override
            public ResultVO searchBatchGradeByPage(GoodsBatchGradeForm gradeForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 获取用户评级信息
             *
             * @param userId
             * @param batchId
             * @return
             */
            @Override
            public ResultVO getBatchGradeByUserId(String userId, String batchId) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 保存用户评级信息
             *
             * @param gradeForm
             * @return
             */
            @Override
            public ResultVO saveBatchGradeInfo(GoodsBatchGradeForm gradeForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 批量删除商品评级信息
             *
             * @param gradeForm
             * @return
             */
            @Override
            public ResultVO delBatchGradeInfo(GoodsBatchGradeForm gradeForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
