package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsBatchManageFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchInfoForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author xiezt
 */
@Component
public class GoodsBatchManageFallback implements FallbackFactory<GoodsBatchManageFactory> {

    @Override
    public GoodsBatchManageFactory create(Throwable cause) {
        return new GoodsBatchManageFactory() {
            @Override
            public ResultVO queryGoodsBatchRecordByPage(GoodsBatchInfoForm goodsBatchInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO addGoodsBatchRecord(GoodsBatchInfoForm goodsBatchInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO editGoodsBatchRecord(GoodsBatchInfoForm goodsBatchInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO getGoodsBatchRecordById(String guid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO delGoodsBatchRecordById(String guid,String orgGuid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO batchGoodsQRCode(GoodsBatchInfoForm goodsBatchInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 保存评价及评级信息
             *
             * @param goodsBatchInfoForm
             * @return
             */
            @Override
            public ResultVO saveAllFeedbackInfo(GoodsBatchInfoForm goodsBatchInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 查询用户商品批次评价信息
             *
             * @param batchId
             * @param userId
             * @return
             */
            @Override
            public ResultVO searchAllFeedbackInfo(String batchId, String userId) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
