package com.hcloud.microservice.goods.facade.fallback.factory;

import org.springframework.stereotype.Component;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.entity.GoodsDealer;
import com.hcloud.microservice.goods.facade.fallback.GoodsDealerClientFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsDealerForm;

import feign.hystrix.FallbackFactory;

@Component
public class GoodsDealerClientFallback implements FallbackFactory<GoodsDealerClientFactory>{

	@Override
	public GoodsDealerClientFactory create(Throwable cause) {
		// TODO Auto-generated method stub
		return new GoodsDealerClientFactory() {

			@Override
			public ResultVO add(GoodsDealer goodsDealer) {
				// TODO Auto-generated method stub
				return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
			}

			@Override
			public ResultVO edit(GoodsDealer goodsDealer) {
				// TODO Auto-generated method stub
				return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
			}

			@Override
			public ResultVO findById(String guid) {
				// TODO Auto-generated method stub
				return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
			}

			@Override
			public ResultVO searchByPage(GoodsDealerForm goodsDealerForm) {
				// TODO Auto-generated method stub
				return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
			}

			@Override
			public ResultVO getMaxCode() {
				// TODO Auto-generated method stub
				return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
			}

			@Override
			public ResultVO delete(String guid) {
				// TODO Auto-generated method stub
				return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
			}
			
		};
	}

}
