package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsFieldManageFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsFieldForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author xiezt
 */
@Component
public class GoodsFieldManageFallback implements FallbackFactory<GoodsFieldManageFactory> {

    @Override
    public GoodsFieldManageFactory create(Throwable cause) {
        return new GoodsFieldManageFactory() {
            @Override
            public ResultVO queryGoodsFieldByPage(GoodsFieldForm fieldForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO addGoodsField(GoodsFieldForm fieldForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO editGoodsField(GoodsFieldForm fieldForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO getGoodsField(String guid,String orgGuid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO delGoodsField(String guid,String orgGuid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
