package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsManageFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsInfoForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author xiezt
 */
@Component
public class GoodsManageFallback implements FallbackFactory<GoodsManageFactory> {

    @Override
    public GoodsManageFactory create(Throwable cause) {
        return new GoodsManageFactory() {
            @Override
            public ResultVO searchGoodsInfoByPage(GoodsInfoForm goodsInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO addGoodsInfo(GoodsInfoForm goodsInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO editGoodsInfo(GoodsInfoForm goodsInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO getGoodsInfoById(String guid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 删除产品信息
             *
             * @param guid
             * @return
             */
            @Override
            public ResultVO delGoodsInfoById(String guid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
