package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsProInputsFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsProInputsForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author xiezt
 */
@Component
public class GoodsProInputsFallback implements FallbackFactory<GoodsProInputsFactory> {

    @Override
    public GoodsProInputsFactory create(Throwable cause) {
        return new GoodsProInputsFactory(){
            /**
             * 分页查询投入品内容
             *
             * @param goodsProInputsForm
             * @return
             */
            @Override
            public ResultVO searchProInputsByPage(GoodsProInputsForm goodsProInputsForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 查询投入品列表通过商品批次键
             *
             * @param foreignKey
             * @return
             */
            @Override
            public ResultVO searchProInputsByFK(String foreignKey) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 删除投入品信息
             *
             * @param pk
             * @return
             */
            @Override
            public ResultVO delProInputs(String pk) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 保存投入品信息
             *
             * @param goodsProInputsForm
             * @return
             */
            @Override
            public ResultVO saveProInputs(GoodsProInputsForm goodsProInputsForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
