package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsProNormalFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsProNormalForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author xiezt
 */
@Component
public class GoodsProNormalFallback implements FallbackFactory<GoodsProNormalFactory> {

    @Override
    public GoodsProNormalFactory create(Throwable cause) {
        return new GoodsProNormalFactory(){
            /**
             * 分页查询流通信息
             *
             * @param goodsProNormalForm
             * @return
             */
            @Override
            public ResultVO searchProNormalByPage(GoodsProNormalForm goodsProNormalForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 保存流程通用信息
             *
             * @param goodsProNormalForm
             * @return
             */
            @Override
            public ResultVO saveProNormal(GoodsProNormalForm goodsProNormalForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 更新流通通用信息
             *
             * @param goodsProNormalForm
             * @return
             */
            @Override
            public ResultVO updateProNormal(GoodsProNormalForm goodsProNormalForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 通过主键删除通用流通信息
             *
             * @param pk
             * @return
             */
            @Override
            public ResultVO delProNormalByPK(String pk) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
