package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsQRCodeManageFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsQRCodeInfoForm;
import feign.hystrix.FallbackFactory;

import java.util.List;

import org.springframework.stereotype.Component;

/**
 * @author xiezt
 */
@Component
public class GoodsQRCodeManageFallback implements FallbackFactory<GoodsQRCodeManageFactory> {

    @Override
    public GoodsQRCodeManageFactory create(Throwable cause) {
        return new GoodsQRCodeManageFactory() {
            @Override
            public ResultVO searchGoodsQRCodeByPage(GoodsQRCodeInfoForm goodsQRCodeInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO getGoodsQRCodeById(String guid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO delGoodsQRCodeById(GoodsQRCodeInfoForm goodsQRCodeInfoForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO searchGoodsQRCodeForExport(String guid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO searchGoodsQRCodeInfoByTokenStr(String tokenStr) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 通过二维码传输码预览溯源码信息
             *
             * @param tokenStr
             * @return
             */
            @Override
            public ResultVO getGoodsQRCodeDetailInfoByToken(String tokenStr) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

			@Override
			public ResultVO getPrintDetail(GoodsQRCodeInfoForm goodsQRCodeInfoForm) {
				// TODO Auto-generated method stub
				return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
			}

			@Override
			public ResultVO updateQRIsPrint(List<String> ids) {
				// TODO Auto-generated method stub
				return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
			}
        };
    }
}
