package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsQRCodeRecordManageFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsQRCodeRecordForm;
import com.hcloud.microservice.goods.facade.forms.GoodsQRCodeRecordStatForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author xiezt
 */
@Component
public class GoodsQRCodeRecordManageFallback implements FallbackFactory<GoodsQRCodeRecordManageFactory> {

    @Override
    public GoodsQRCodeRecordManageFactory create(Throwable cause) {
        return new GoodsQRCodeRecordManageFactory() {
            @Override
            public ResultVO searchGoodsQRCodeRecordByPage(GoodsQRCodeRecordForm goodsQRCodeRecordForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO searchGoodsQRCodeRecordForExport(GoodsQRCodeRecordForm goodsQRCodeRecordForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO delGoodsQRCodeRecord(GoodsQRCodeRecordForm goodsQRCodeRecordForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO getGoodsQRCodeInfoByRecordId(@RequestBody GoodsQRCodeRecordForm goodsQRCodeRecordForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 物理删除溯源码生成记录
             *
             * @param recordId
             * @return
             */
            @Override
            public ResultVO delQRCodeInfoPhysical(String recordId) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 统计一年个月的扫码人数
             * @param goodsQRCodeRecordStatForm
             * @return
             */
            @Override
            public ResultVO statOneYearScanNumber(GoodsQRCodeRecordStatForm goodsQRCodeRecordStatForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 统计昨天和历史累计扫码人数
             * @param goodsQRCodeRecordStatForm
             * @return
             */
            @Override
            public ResultVO statYesterdayAndAllTimeScanNumber(GoodsQRCodeRecordStatForm goodsQRCodeRecordStatForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO statOneDayAllHoursScanNumber(GoodsQRCodeRecordStatForm goodsQRCodeRecordStatForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO statOneWeekSevenDayScanNumber(GoodsQRCodeRecordStatForm goodsQRCodeRecordStatForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO statOneMonthAllDaysScanNumber(GoodsQRCodeRecordStatForm goodsQRCodeRecordStatForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
