package com.hcloud.microservice.goods.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.goods.facade.fallback.GoodsTracedUserFactory;
import com.hcloud.microservice.goods.facade.forms.GoodsTracedUserForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author xiezt
 */
@Component
public class GoodsTracedUserFallback implements FallbackFactory<GoodsTracedUserFactory> {

    @Override
    public GoodsTracedUserFactory create(Throwable cause) {
        return new GoodsTracedUserFactory(){
            /**
             * 查询用户信息通过第三方编码
             *
             * @param code
             * @return
             */
            @Override
            public ResultVO searchTracedUserByCode(@RequestBody GoodsTracedUserForm tracedUserForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 保存用户信息
             *
             * @param tracedUserForm
             * @return
             */
            @Override
            public ResultVO saveTracedUser(GoodsTracedUserForm tracedUserForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 更新用户信息
             *
             * @param tracedUserForm
             * @return
             */
            @Override
            public ResultVO updateTracedUser(GoodsTracedUserForm tracedUserForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 分页查询溯源用户信息
             *
             * @param tracedUserForm
             * @return
             */
            @Override
            public ResultVO searchTracedUserByPage(GoodsTracedUserForm tracedUserForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
