package com.hcloud.microservice.goods.facade.forms;

import java.util.Date;
import java.util.List;

import com.hcloud.microserver.commoncore.base.BaseForm;
import com.hcloud.microservice.goods.facade.entity.GoodsInterAuxiliary;
import com.hcloud.microservice.goods.facade.entity.GoodsLabel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author JYJ
 */
@Data
public class GoodsBatchInfoForm extends BaseForm {

    private String guid;

    private String fkFieldGuid;

    private String fkGoodsGuid;

    private String goodsName;

    private String fkGoodsBatchGuid;
    
    private String goodsBatchNo;

    private String goodsUnit;

    private Date goodsProductDate;

    private String goodsExpired;

    private Integer goodsQrcodeLimited;

    private String goodsBatchImages;

    private String goodsSaleUrl;
    /**
     * 评价星级
     */
    private String goodsFeedbackStar;
    /**
     * 二维码生成个数
     */
    private Integer qrcodeCount;

    /**
     * 辅助列表
     */
    private List<GoodsInfoAuxiliaryForm> auxList;

    /**
     * 图片列表
     */
    private List<String> imagesList;
    /**
     * 生成日期字符串
     */
    private String productDateStr;
    /**
     * 检验检疫信息
     */
    private GoodsAssayInfoForm assayInfoForm;

    /**
     * 生产原料列表
     */
    private List<GoodsProInputsForm> inputsFormList;

    /**
     * 通用生产过程列表(原料生产过程)
     */
    private List<GoodsProNormalForm> materialList;

    /**
     * 通用生产过程列表(加工流通过程)
     */
    private List<GoodsProNormalForm> productList;
    /**
     * 评价信息
     */
    private GoodsBatchFeedbackForm feedbackForm;
    /**
     * 评级信息
     */
    private GoodsBatchGradeForm gradeForm;
    /**
     * 评价信息
     */
    private String tracedUserId;
    /**
     * 是否对商品评价
     */
    private Integer isFeedback;
    /**
     * 是否对商品评级
     */
    private Integer isGrade;
    
    @ApiModelProperty(value="产品标签")
    private List<GoodsLabel> labelList;
    
    /*@ApiModelProperty(example="物联监测信息")
    private GoodsInterInfoForm interInfoForm;*/
    
    @ApiModelProperty(example="物联监测信息")
    private List<GoodsInterAuxiliary> interAuxList;
    
    @ApiModelProperty(value="产品标签")
    private String labelNames;
}
