package com.hcloud.microservice.goods.facade.forms;

import java.util.Date;
import java.util.List;

import com.hcloud.microserver.commoncore.base.BaseForm;
import com.hcloud.microservice.goods.facade.entity.GoodsInterAuxiliary;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 物联监测环境信息
 * @author lym
 *
 */
@Data
public class GoodsInterInfoForm extends BaseForm{

	private String guid;

	@ApiModelProperty(value="产品guid",example="产品guid")
    private String fkGoodsGuid;

	@ApiModelProperty(value="产品批次guid",example="产品批次guid")
    private String fkGoodsBatchGuid;

	@ApiModelProperty(value="生长周期",example="生长周期")
    private String livespan;

	@ApiModelProperty(value="全年降水量（mm）",example="全年降水量（mm）")
    private String totalPrecipitation;

	@ApiModelProperty(value="全年积温(℃）",example="全年积温(℃）")
    private String totalTemperature;

	@ApiModelProperty(value="生长期日均温（℃）",example="生长期日均温（℃）")
    private String avgTemperature;

	@ApiModelProperty(value="生长期日均湿度(占全天比率%)",example="生长期日均湿度(占全天比率%)")
    private String precipitationRate;

	@ApiModelProperty(value="年均有效日照时长（h）",example="年均有效日照时长（h）")
    private String sunDate;

	@ApiModelProperty(value="土壤有机质平均含量",example="土壤有机质平均含量")
    private String avgOrganicMatter;
	
	@ApiModelProperty(example="物联监测辅助信息")
	private List<GoodsInterAuxiliary> auxList;

}
